Module javafx.graphics
Package javafx.scene.text

# Enum Class FontSmoothingType

java.lang.Object
java.lang.Enum<FontSmoothingType>
javafx.scene.text.FontSmoothingType

All Implemented Interfaces:
  `Serializable`, `Comparable<FontSmoothingType>`, `Constable`

public enum FontSmoothingType extends Enum<FontSmoothingType>
The `FontSmoothingType` enum is used to specify the preferred mechanism used to smooth the edges of fonts for on-screen text.

Since:
  JavaFX 2.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GRAY`
Specifies the default gray scale smoothing, which is most suitable for graphics and animation uses.
`LCD`
Specifies sub-pixel LCD text, which utilises characteristics of digital LCD display panels to achieve increased pixel resolution.

## Method Summary

Modifier and Type
Method
Description
`static FontSmoothingType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FontSmoothingType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GRAY

public static final FontSmoothingType GRAY
Specifies the default gray scale smoothing, which is most suitable for graphics and animation uses.

### LCD

public static final FontSmoothingType LCD
Specifies sub-pixel LCD text, which utilises characteristics of digital LCD display panels to achieve increased pixel resolution. This mode is generally appropriate where the important factor is legibility of static text, particularly at small sizes.

A request for LCD text is a 'hint', since the implementation may need to ignore it under conditions such as compositing modes which do not support it. It follow that where LCD text is important that the application should avoid use of effects, transparency etc.

## Method Details

### values

public static FontSmoothingType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FontSmoothingType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null